// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: loadmodule/loadmodule.proto

package openfmb.loadmodule;

public interface LoadEventAndStatusZGLDOrBuilder extends
    // @@protoc_insertion_point(interface_extends:loadmodule.LoadEventAndStatusZGLD)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the logicalNodeForEventAndStatus field is set.
   */
  boolean hasLogicalNodeForEventAndStatus();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
   * @return The logicalNodeForEventAndStatus.
   */
  openfmb.commonmodule.LogicalNodeForEventAndStatus getLogicalNodeForEventAndStatus();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.LogicalNodeForEventAndStatus logicalNodeForEventAndStatus = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.LogicalNodeForEventAndStatusOrBuilder getLogicalNodeForEventAndStatusOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
   * @return Whether the dynamicTest field is set.
   */
  boolean hasDynamicTest();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
   * @return The dynamicTest.
   */
  openfmb.commonmodule.ENS_DynamicTestKind getDynamicTest();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ENS_DynamicTestKind DynamicTest = 2;</code>
   */
  openfmb.commonmodule.ENS_DynamicTestKindOrBuilder getDynamicTestOrBuilder();

  /**
   * <pre>
   * Emergency stop
   * </pre>
   *
   * <code>.commonmodule.StatusSPS EmgStop = 3;</code>
   * @return Whether the emgStop field is set.
   */
  boolean hasEmgStop();
  /**
   * <pre>
   * Emergency stop
   * </pre>
   *
   * <code>.commonmodule.StatusSPS EmgStop = 3;</code>
   * @return The emgStop.
   */
  openfmb.commonmodule.StatusSPS getEmgStop();
  /**
   * <pre>
   * Emergency stop
   * </pre>
   *
   * <code>.commonmodule.StatusSPS EmgStop = 3;</code>
   */
  openfmb.commonmodule.StatusSPSOrBuilder getEmgStopOrBuilder();

  /**
   * <pre>
   * Point status
   * </pre>
   *
   * <code>.loadmodule.LoadPointStatus PointStatus = 4;</code>
   * @return Whether the pointStatus field is set.
   */
  boolean hasPointStatus();
  /**
   * <pre>
   * Point status
   * </pre>
   *
   * <code>.loadmodule.LoadPointStatus PointStatus = 4;</code>
   * @return The pointStatus.
   */
  openfmb.loadmodule.LoadPointStatus getPointStatus();
  /**
   * <pre>
   * Point status
   * </pre>
   *
   * <code>.loadmodule.LoadPointStatus PointStatus = 4;</code>
   */
  openfmb.loadmodule.LoadPointStatusOrBuilder getPointStatusOrBuilder();
}
